<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Conferences extends GS_Controller {

    public function __construct() {
        parent::__construct();
        $this->lang->load('conferences', $this->language);
        $this->load->model('conferences_model');
    }
    
    public function index()	{
        $this->gs_data['state'] = $this->create_state();
        $this->gs_data['events'] = $this->conferences_model->all();
        // log_message('debug', print_r($this->gs_data['events'], true));
        $c = array('calendar' => $this->calendar($this->gs_data['events']));
        $content = $this->load->view('conferences/main', $c, true);
        $this->forward($content, link_tag('assets/css/conferences.css'), $this->extra_js());
    }
    
    private function calendar($events) {
        $r = '';
        foreach ($events as $event) {
            $r .= $this->load->view('conferences/calendar_b', 
                                    array(
                                        'day' => $event,
                                        'state' => $this->gs_data['state']
                                    ), true);
        }
        return $r;
    }
    
    private function create_state() {
        return array(
            'active_button' => 'boton_three',
            'language' => $this->language,
            'locale' => $this->session->userdata('locale')
        );
    }
    
    private function extra_js() {
        $url = base_url("assets/js/conferences.js");
        $tag = '<script type="text/javascript" src="' . 
            html_escape($url) . '" ></script>';
        
        return $tag;
    }
}
