<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Exhibitors extends GS_Controller {

    public function __construct() {
        parent::__construct();
        $this->lang->load('exhibitors', $this->language);
    }
    
    public function index()	{
        $this->gs_data['state'] = $this->create_state();
        $this->gs_data['stands_package_list'] = $this->sectionmodel->special_content_by_key('STAND_HTML_LIST');
        $content = $this->load->view('exhibitors/exhibitors_main', $this->gs_data, true);
        $this->forward($content,
            link_tag('assets/css/exhibitors.css'),
            $this->extra_js());
    }
    
    private function create_state() {
        return array(
            'active_button' => 'boton_two',
            'language' => $this->language
        );
    }
    
    private function extra_js() {
        $url = base_url("assets/js/exhibitors.js");
        $tag = '<script type="text/javascript" src="' . 
            html_escape($url) . '" ></script>';
        
        return $tag;
    }
}
