<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Home extends GS_Controller {
    
    public function __construct()    {
        parent::__construct();
    }
    
    public function index() {
        $this->section($this->main_section_id());
    }
    
    public function section($section_id) {//TODO: Validate section_id
        $this->gs_data['section'] = $this->sectionmodel->section_data($section_id);
        $this->gs_data['state'] = $this->create_state($section_id, $this->language);
        $this->js_configuration();
        $this->backdrop();

        $carousel = $this->carousel_view($section_id, $this->gs_data);
        $css      = $this->extra_css($section_id);
        $js       = $this->extra_js($section_id);
        
        $this->forward($carousel, $css, $js);
    }
    
    private function extra_css($section_id) {
        $css = "";
        if ($section_id == $this->main_section_id()) {
            $css = link_tag('assets/css/landing.css');
        } else {
            $css = link_tag('assets/css/section.css');;
        }
        $image_name = is_spanish($this->language) ? '9-A.png' : '9-A-INGLES.png';
        $image_path = base_url("assets/img/ui/$image_name");
        $css .= "\n<style> #wtc-icon-wrapper a {  background-image: url('$image_path'); }</style>";
        return $css;
    }

    private function extra_js($section_id) {
        $file = ($section_id == $this->main_section_id()) ? 'landing.js' : 'section.js';
            $url = base_url("assets/js/$file");
        $tag = '<script type="text/javascript" src="' . 
            html_escape($url) . '" ></script>';
        return $tag;
    }
    
    private function carousel_view($section_id, $data) {
        $carousel = "";
        if ($section_id == $this->main_section_id()) {
            $carousel = $this->load->view('carousel/carousel_main', $data, true);
        } elseif ($section_id == $this->expo_section_id()) {
            $carousel = $this->load->view('carousel/carousel_expo', $data, true);
        } else {
            $carousel = $this->load->view('carousel/carousel_section', $data, true);
        }
        // log_message('debug', $carousel);
        return $carousel;
    }
    
    private function expo_section_id() {
        $section =  $this->sectionmodel->section_id_by_key('S_EXPO_CERO');
        return $section->id;
    }
    
    private function create_state($section_id, $language = 'es') {
        return array(
            'active_button' => 'boton_s' . $section_id,
            'language' => $language
        );
    }
    
    private function main_section_id() {
        return $this->siteconfig
                    ->config_value('MAIN_SECTION_ID')
                    ->value;
    }
    
    private function iframesrc() {
        return $this->siteconfig
                    ->config_value('MAP_SRC_URL')
                    ->value_txt;
    }

    private function map_href() {
        return $this->siteconfig
                    ->config_value('MAP_HREF_URL')
                    ->value_txt;
    }
    
    
    private function js_configuration() {
        $orig_array = (array)json_decode($this->gs_data['js_config']);
        $orig_array['map_html'] = map_iframe($this->iframesrc(), $this->map_href());
        $this->gs_data['js_config'] = json_encode($orig_array);
    }
    
    private function backdrop() {
        $this->gs_data['section_backdrop'] = 'backdrop_' . 
            gs_tolower($this->gs_data['section']['obj']->key);
    }

}
