<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Hotels extends GS_Controller {

    public function __construct() {
        parent::__construct();
        $this->lang->load('hoteles', $this->language);
        $this->load->model('hotel_model');
    }
    
    public function index()	{
        $this->gs_data['state'] = $this->create_state();
        $this->gs_data['hotels'] = $this->hotel_model->all_hotels();
        $content = $this->load->view('hotels/main', $this->gs_data, true);
        $this->forward($content,
            $this->extra_css($this->gs_data['hotels']));
    }
    
    private function create_state() {
        return array(
            'active_button' => 'boton_six',
            'language' => $this->language
        );
    }
    
    private function extra_js() {
        $url = base_url("assets/js/exhibitors.js");
        $tag = '<script type="text/javascript" src="' . 
            html_escape($url) . '" ></script>';
        
        return $tag;
    }
    
    private function extra_css($hotels) {
        $css = link_tag('assets/css/hotels.css');
        $css .= "\n";
        $style = "<style>";
        foreach ($hotels as $hotel) {
            $style .= '#hotel-';
            $style .= $hotel->id;
            $style .= "{\n";
            
            $style .= "background: url('assets/img/content/hotels/" .
                   $hotel->logo_bg_img_name . 
                   "') no-repeat scroll center center transparent; \n";
                
            $style .= "}\n";
        }
        $style .= "</style>";
        
        return $css . $style;
    }
}
