<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Main extends GS_Controller {
    
    public function __construct()    {
        parent::__construct();
        $this->layout = 'fixed';
    }
    
    public function index() {
        $this->section($this->main_section_id());
    }
    
    public function section($section_id) {//TODO: Validate section_id
        $this->gs_data['section'] = $this->sectionmodel->section_data($section_id);
        $this->gs_data['state'] = $this->create_state($section_id, $this->language);
        $this->js_configuration();
        // log_message('debug', print_r($this->gs_data, true));
        $carousel = $this->carousel_view($section_id, $this->gs_data);
        $css      = $this->extra_css($section_id);

        $this->forward($carousel, $css);
    }
    
    private function extra_css($section_id) {
        if ($section_id == $this->main_section_id()) {
            return link_tag('assets/css/modal.css');
        } else {
            return '';
        }
    }
    
    private function carousel_view($section_id, $data) {
        $carousel = "";
        if ($section_id == $this->main_section_id()) {
            $carousel = $this->load->view('carousel/carousel_main', $data, true);
        } else {
            $carousel = $this->load->view('carousel', $data, true);
        }
        return $carousel;
    }
    
    private function create_state($section_id, $language = 'es') {
        return array(
            'active_button' => 'boton_s' . $section_id,
            'language' => $language
        );
    }
    
    private function main_section_id() {
        return $this->siteconfig
                    ->config_value('MAIN_SECTION_ID')
                    ->value;
    }
    
    private function iframesrc() {
        return $this->siteconfig
                    ->config_value('MAP_SRC_URL')
                    ->value_txt;
    }

    private function map_href() {
        return $this->siteconfig
                    ->config_value('MAP_HREF_URL')
                    ->value_txt;
    }
    
    
    private function js_configuration() {
        $orig_array = (array)json_decode($this->gs_data['js_config']);
        $orig_array['map_html'] = map_iframe($this->iframesrc(), $this->map_href());
        $this->gs_data['js_config'] = json_encode($orig_array);
    }
}
