<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Morelos extends GS_Controller {

    var $landing_key;
    
    public function __construct() {
        parent::__construct();
        $this->lang->load('morelos', $this->language);
        $this->load->model('morelos_model');
        $this->landing_key = $this->morelos_landing_key();
    }
    
    public function index()	{
        $this->gs_data['locations'] = $this->all_locations();
        $this->location($this->landing_key);
    }
    
    public function location($location_key) {
        $this->gs_data['state'] = $this->create_state($location_key);
        $this->gs_data['location'] = $this->morelos_model->entry($location_key);
        $content = $this->load->view($this->next_view($location_key), $this->gs_data, true);
        $extrajs = $this->extra_js('static-widget.js');
        $extrajs .= $this->extra_js('morelos.js');
        $this->forward($content,
            link_tag('assets/css/morelos.css'),
            $extrajs);
        
    }
    
    private function create_state($location_key) {
        return array(
            'active_button' => 'boton_four',
            'language' => $this->language,
            'is_landing'  => 
                (strcmp($location_key, $this->morelos_landing_key()) == 0) ? 
                    true : false
        );
    }
    
    private function morelos_landing_key() {
        return $this->siteconfig
                    ->config_value('MORELOS_LANDING_KEY')
                    ->value_str;
    }
    
    private function extra_js($file) {
        $url = base_url("assets/js/$file");
        $tag = '<script type="text/javascript" src="' . 
            html_escape($url) . '" ></script>';
        return $tag;
    }

    private function next_view($location_key) {
        if (strcmp($location_key, $this->landing_key) == 0) {
            return "morelos/main";
        } elseif (strcmp($location_key, 'XOCHICALCO') == 0) {
            return "morelos/zonas_arq";
        } else {
            return "morelos/zonas_arq";
        }
    }
    
    private function all_locations() {
        $locations = $this->morelos_model->all();
        $r = array();
        foreach ($locations as $location) {
            if (strcmp($location->key, $this->landing_key) == 0)
                continue;
            $r[] = $location;
        }
        return $r;
    }
}
