<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class News extends GS_Controller {

    public function __construct() {
        parent::__construct();
        $this->lang->load('news', $this->language);
        $this->load->model('news_model');
    }
    
    public function index()	{
        $this->gs_data['state'] = $this->create_state();
        $this->gs_data['news'] = $this->news_model->all();
        
        $content = $this->load->view('news/main', $this->gs_data, true);
        $this->forward($content, link_tag('assets/css/news.css'), $this->extra_js());
    }
    
    private function create_state() {
        return array(
            'active_button' => 'boton_five',
            'language' => $this->language
        );
    }
    
    private function extra_js() {
        $url = base_url("assets/js/news.js");
        $tag = '<script type="text/javascript" src="' . 
            html_escape($url) . '" ></script>';
        
        return $tag;
    }
}
