<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Speakers extends GS_Controller {

    public function __construct() {
        parent::__construct();
        $this->lang->load('speakers', $this->language);
        $this->load->model('speakers_model');
        $this->gs_data['state'] = $this->create_state();
    }
    
    public function index() {
        $this->gs_data['categories'] = $this->speakers_model->all_categories();
        $this->forward(
            $this->load->view('speakers/main', $this->gs_data ,true),
            link_tag('assets/css/speakers.css'));
    }
    
    public function category($category_id) {
        $this->gs_data['category'] = $this->speakers_model->category($category_id);
        $this->gs_data['speakers'] = $this->speakers_model->speakers($category_id);
        $this->othercategories($category_id);
        $this->forward(
            $this->load->view('speakers/category', $this->gs_data ,true),
            link_tag('assets/css/speakers.css'), $this->extra_js());
    }
    
    private function create_state() {
        return array(
            'active_button' => 'boton_one',
            'language' => $this->language
        );
    }
    
    private function othercategories($category_id) {
        $this->gs_data['othercategories'] = $this->speakers_model->all_categories($category_id);
    }
    
    private function extra_js() {
        $url = base_url("assets/js/speakers.js");
        $tag = '<script type="text/javascript" src="' . 
            html_escape($url) . '" ></script>';
        
        return $tag;
    }
}