<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class GS_Controller extends CI_Controller {

    public $layout;
    public $language;
    public $gs_data;
    
    public function __construct()    {
        parent::__construct();
        if ($this->agent->is_mobile()) {
            redirect('http://www.beta2.greensolutions2013.com', 'location', 301);
        }
        if (!$this->session->userdata('language')) {
            $this->session->set_userdata('language', 'spanish');
            $this->session->set_userdata('locale', 'es_ES');
        }
        $this->language = $this->session->userdata('language');
        $this->layout = $this->default_layout();
        $this->load->model('sectionmodel');
        $this->lang->load('home', $this->language);
        $this->gs_data = $this->ui_data();
        $this->gs_data['twitter_feed'] = 
            $this->siteconfig->config_value('TWITTER_FEED')->value_txt;
        $this->gs_data['lang'] = $this->lang();
        $this->gs_data['lang'] = $this->lang();
        $this->privacy_terms();
		$this->meetings_text();
    }
    
    protected function ui_data() {
        $data = array(
            'ui_elements' => $this->ui_elements(),
            'js_config' => json_encode(array(
                'baseUrl' => base_url())
            )
        );
                
        return $data;
    }
    
    protected function forward($content, $extracss = '', $extrajs = '') {
        $page = "layouts/" . $this->layout;
        $this->load->view($page, array_merge($this->gs_data, array(
            "content" => $content,
            "extracss" => $extracss,
            "extrajs" => $extrajs
        )));
    }
    
    protected function ui_elements() {
        $buttons = array(
            'section_sizes' => 6,
            'section_icn_names' => array(
                'AUTO_SHOW.png', 'GREEN_MEDIA.png', 'GREENTERACTIVE.png', 'EXPO_CERO.png', 'GREEN_HOME.png'),
            'section_headers' => array(
                lang('home.menu.autoshow'), lang('home.menu.greenmedia'), 
                lang('home.menu.greenteractive'), lang('home.menu.market'), 
                lang('home.menu.expocero'), lang('home.menu.greenhome')));
        return $buttons;
    }
    
    protected function lang() {
        $l = (strcmp($this->session->userdata('language'), 'spanish') == 0) ? 'es' : 'en';
        return $l;
    }

    private function default_layout() {
        $l = $this->is_iphone() ? 'fixed' : 'default';
        return $l;
    }
    
    private function is_iphone() {
        $ua = $this->agent->agent_string();
        $is_ipod = (stripos($ua,"iPhone") != false);
        return $is_ipod;
    }
    
    private function privacy_terms() {
        $this->gs_data['privacy_terms'] = $this->siteconfig
            ->config_value('TOS')
            ->value_txt;
    }
	
    private function meetings_text() {
        $this->gs_data['meetings_text'] = $this->siteconfig
            ->config_value('M_TEXT')
            ->value_txt;
    }
    
}
