<?php
function home_caption_one($section, $language) {
    return formatted_text($section['obj'], 'caption_first', $language);
}

function home_caption_two($section, $language) {
    return formatted_text($section['obj'], 'caption_second', $language);
}

function home_caption_title($section, $language) {
    $p   = language_postfix($language);
    $obj = (array)$section['obj'];
    // log_message('debug', print_r($obj, true));
    return $obj["title_$p"];
}

function home_caption_table($section, $language) {
    $p   = language_postfix($language);
    $obj = (array)($section['special_content']['HOME_TABLE']);
    // log_message('debug', print_r($obj, true));
    return $obj["html_$p"];
}

function language_postfix($language) {
    $p = (strcmp($language, 'spanish') == 0) ? 'es' : 'en';
    return $p;
}

function lang_html($stdclass, $language) {
    return lang_text($stdclass, 'html', $language);
}

function lang_text($stdclass, $field_prefix, $language) {
    $p = language_postfix($language);
    $obj = (array)$stdclass;
    // log_message('debug', join("_", array($field_prefix, $p)));
    return $obj[join("_", array($field_prefix, $p))];
}

function formatted_text($stdclass, $field_prefix, $language) {
    return nl2br(html_escape(lang_text($stdclass, $field_prefix, $language)));
}

function formatted_text_upper($stdclass, $field_prefix, $language) {
    return nl2br(html_escape(gs_toupper(lang_text($stdclass, $field_prefix, $language))));
}

function formatted_text_lower($stdclass, $field_prefix, $language) {
    return nl2br(html_escape(gs_tolower(lang_text($stdclass, $field_prefix, $language))));
}

function lang_date($date, $locale) {
    setlocale(LC_TIME, $locale);
    $d = utf8_encode(strftime("%A %e %B", strtotime($date)));
    return html_escape(mb_strtoupper($d,'UTF-8'));
}

function entry_time($entry) {
    $x =  html_escape(strftime("%H:%M", strtotime($entry->time)) . 
          " - " . strftime("%H:%M", strtotime($entry->time_end)));
    return $x;
}

function is_spanish($language) {
    return (strcmp($language, 'spanish') == 0);
}

function gs_tolower($str) {
    return html_escape(strtolower($str));
}
function gs_toupper($str) {
    return html_escape(mb_strtoupper($str));
}

function escaped_lang($str) {
    return html_escape(lang($str));
}

?>