<?php
class Conferences_Model extends CI_Model {
    
    function __construct() {
        parent::__construct();
    }
    
    public function all() {
        // log_message('debug', "Conferences_Model::find_all");
        $days = $this->all_event_days();
        // log_message('debug', print_r($days, true));
        
        $r = array();
        foreach ($days as $day) {
            $r[] = array(
                'date' => $day->date,
                'obj' => $day,
                'conferences' => $this->day_conferences($day->id),
                'extra_info' => $this->day_info($day->id)
            );
        }
        return $r;
    }
    
    public function all_event_days() {
        $r = $this->db
                  ->order_by('date', 'asc')
                  ->get_where('event_day', array('enabled' => 1)) 
                  ->result();
        return $r;
    }
    
    public function day_conferences($day_id) {
        $c = array();
        $r = $this->db
                  ->get_where('conferences',array('event_day_id' => $day_id))
                  ->result();
        
        foreach ($r as $conference) {
            $s = $this->db
                      ->get_where('conference_speaker', array('conference_id' => $conference->id))
                      ->result();
            
            $c[] = array('c' => $conference, 's' => $s);
        }
        // log_message('debug', print_r($c, true));
        return $c;
    }

    public function day_info($day_id) {
        $r = $this->db
                  ->get_where('conferences_extra_info',array('event_day_id' => $day_id))
                  ->result();
        return $r;
    }
}
?>