<?php
class SectionModel extends CI_Model {


    var $title_es;
    var $title_eng;
    var $description_es;
    var $descritpion_en;
    var $active;
    
    function __construct() {
        parent::__construct();
    }
    
    public function find_all() {
        log_message('debug', "SectionModel::find_all");
        //for a model to get the $db field you need to config in autoload.php the 
        // database as part of the libraries loaded
        return $this->db->get('section')->result();
    }
    
    public function section_data($section_id = 0) {
        if ($section_id == 0) {
            die('section id missing');
        }
        $this->db->select("*");
        $this->db->from("section");
        $this->db->where("id", $section_id);
        
        $result = $this->db->get()->result();
        $section['obj'] = $result[0];
        
        $this->db->select("*");
        $this->db->from("content");
        $this->db->where("section_id", $section_id);
        $this->db->where("active", 1);
        $this->db->order_by('order', 'asc');

        $section['contents'] = $this->db->get()->result();
        
        $section['special_content'] = $this->special_content($section_id);

        return $section;
    }
    
    private function special_content($section_id) {
        $this->db->select("*");
        $this->db->from("special_content");
        $this->db->where("section_id", $section_id);
        
        $result = $section['special_content'] = $this->db->get()->result();
        
        $formatted_result = array();
        foreach ($result as $value) {
            $formatted_result[$value->key] = $value;
        }
        return $formatted_result;
    }
    
    public function special_content_by_key($key) {
        $this->db->select("*");
        $this->db->from("special_content");
        $this->db->where("key", $key);
        
        $result = $section['special_content'] = $this->db->get()->row();
        return $result;
    }
    
    public function section_id_by_key($key) {
        return $this->db
                     ->get_where('section', array('key' => 'S_EXPO_CERO'))
                     ->row();
    }
}
    
?>