<?php
$l = count($day['conferences']);
$firsthalf = array_slice($day['conferences'], 0, $l / 2);
$secondhalf = array_slice($day['conferences'], $l / 2);
?>
<div class="table-wrapper">
    <div class="row">
        <div class="span12 thalf">
            <p class="date-text"><?php echo lang_date($day['date'], $state['locale']); ?></p>
        </div>
    </div>
    <div class="row">
        <div class="span5 offset1">
        <table class="table">
            <thead>
                <tr class="calendar-heading">
                    <th><?php echo html_escape(lang('conferences.ui.timecolumn')); ?></th>
                    <th><?php echo html_escape(lang('conferences.ui.activity')); ?></th>
                    <th><?php echo html_escape(lang('conferences.ui.place')); ?></th>
                </tr>            
            </thead>
            <tbody class="event-entries">
            <?php $t = 0; ?>
            <?php foreach ($firsthalf as $conference) : ?>
                <?php $zebra = (($t % 2) == 0) ? 'class="zebra"' : ''; ?>
                <tr <?php echo $zebra; ?> >
                    <td><?php echo html_escape($conference['c']->time) ?></td>
                    <td><?php echo formatted_text($conference['c'], 'activity', $state['language']) ?></td>
                    <td><?php echo formatted_text($conference['c'], 'location', $state['language']) ?></td>
                </tr>
                <?php $t++; ?>
            <?php endforeach; ?> 
            </tbody> 
        </table>
        </div>
        <div class="span5">
        <table class="table">
            <thead>
                <tr class="calendar-heading">
                    <th><?php echo html_escape(lang('conferences.ui.timecolumn')); ?></th>
                    <th><?php echo html_escape(lang('conferences.ui.activity')); ?></th>
                    <th><?php echo html_escape(lang('conferences.ui.place')); ?></th>
                </tr>            
            </thead>
            <tbody class="event-entries">
            <?php $t = 0; ?>
            <?php foreach ($secondhalf as $conference) : ?>
                <?php $zebra = (($t % 2) == 0) ? 'class="zebra"' : ''; ?>
                <tr <?php echo $zebra; ?> >
                    <td><?php echo html_escape($conference['c']->time) ?></td>
                    <td><?php echo formatted_text($conference['c'], 'activity', $state['language']); ?></td>
                    <td><?php echo formatted_text($conference['c'], 'location', $state['language']); ?></td>
                </tr>
                <?php $t++; ?>
            <?php endforeach; ?> 
            </tbody> 
        </table>
        </div>
    </div>
    <div class="row">
        <div class="span10 offset1 day-info">
            <ul class="extra-info-list">
            <?php foreach ($day['extra_info'] as $info) : ?>
                <li class="calendar-info-item"><?php echo formatted_text($info, 'comments', $state['language']); ?></li>
            <?php endforeach; ?>
            </ul>
        </div>
    </div>
</div> 
