<?php
$l = $day['conferences'];
?>
<div class="table-wrapper">
    <div class="row">
        <div class="span12 thalf">
            <p class="date-text"><?php echo lang_date($day['date'], $state['locale']); ?></p>
        </div>
    </div>
    <div class="row">
        <div class="span10 offset1">
        <table class="table">
            <thead>
                <tr class="calendar-heading">
                    <th><?php echo html_escape(lang('conferences.ui.timecolumn')); ?></th>
                    <th><?php echo html_escape(lang('conferences.ui.activity')); ?></th>
                    <th><?php echo html_escape(lang('conferences.ui.speakers')); ?></th>
                    <th><?php echo html_escape(lang('conferences.ui.place')); ?></th>
                </tr>            
            </thead>
            <tbody class="event-entries">
            <?php $t = 0; ?>
            <?php foreach ($l as $conference) : ?>
                <?php $zebra = (($t % 2) == 0) ? 'class="zebra"' : ''; ?>
                <?php $x = 0; ?>
                <?php foreach ($conference['s'] as $s) : ?>
                <tr <?php echo $zebra; ?> >
                    <td class="time_cell">
                        <?php if ($x == 0): ?>
                            <?php echo entry_time($conference['c']) ?>
                        <?php endif; ?>
                    </td>
                    <td>
                        <?php if ($x == 0): ?>
                            <span class="title">
                                <?php echo formatted_text($conference['c'], 'activity_title', $state['language']) ?>
                            </span>
                            <?php echo formatted_text($conference['c'], 'activity', $state['language']) ?>
                        <?php endif; ?>
                    </td>
                    <td>
                        <span class="title">
                        <?php echo formatted_text($s, 'speaker_talk_title', $state['language']) ?>
                        </span><br>
                        <?php echo html_escape($s->speaker_name) ?>
                    </td>
                    <td>
                        <?php if ($x == 0): ?>
                            <?php echo formatted_text($conference['c'], 'location', $state['language']) ?>
                        <?php endif; ?>
                    </td>
                </tr>
                <?php $x++ ?>
                <?php endforeach; ?> 
                <?php $t++; ?>
            <?php endforeach; ?> 
            </tbody> 
        </table>
        </div>
    </div>
    <div class="row">
        <div class="span10 offset1 day-info">
            <ul class="extra-info-list">
            <?php foreach ($day['extra_info'] as $info) : ?>
                <li class="calendar-info-item"><?php echo formatted_text($info, 'comments', $state['language']); ?></li>
            <?php endforeach; ?>
            </ul>
        </div>
    </div>
</div> 
